curl --request PUT \
--url https://api.bridge.xyz/v0/webhooks/{webhookID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"event_categories": []
}
'import requests
url = "https://api.bridge.xyz/v0/webhooks/{webhookID}"
payload = {
"url": "<string>",
"event_categories": []
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', event_categories: []})
};
fetch('https://api.bridge.xyz/v0/webhooks/{webhookID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wep_123",
"url": "https://my_updated_endpoint.xyz/hooks",
"status": "active",
"public_key": "-----BEGIN PUBLIC KEY-----\\nFJJ3hFnaPLmxxG4a5w0BAQEFAAOCAQ8AMIIBCgKCAQEAtYhc6PV2LOs/nqDRHi0B\\nMKTsdMLHtg58a1NDxaYfw4IZJ3hpy1qIFUgt5X0HhCYZE0Y40MyLGIejPyitEjYw\\ni9/aE+9F/PN+btqN7OK6cVuF9s/R9cZCtNc27UdTQXrUO5T8GXNAMmRr0KFh8yPv\\nfIgpoZn5ZhnyRbZpDvrxHzLmcZJFAX8Ca+KZLzgGVybEqJtP6fKAT0zrrUS1z44s\\nRDOLiXl543cRAmBnUyrT6cXiNz/PNbm4zRK5Nx7LGxBFrCWQCao4Yi8hrwWsnHxg\\n0Tcy3UyZhAcgL6ydVJfLD5x58Ri4BN32WPBtgSSO6JxZZwCiX0d1BOgq7+eNgmzN\\nJQIDAQAB\\n-----END PUBLIC KEY-----\\n",
"event_categories": [
"customer",
"liquidation_address",
"virtual_account",
"virtual_account.activity",
"card_account",
"card_transaction",
"card_withdrawal",
"posted_card_account_transaction"
]
}Update a webhook
Update the specified webhook object
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Body
Updated webhook endpoint object
The new HTTPS URL that Bridge will send events to.
1The new status of the webhook endpoint. If set to "active", the webhook will be enabled and will send requests to the new URL. If set to "disabled", the webhook will be disabled and will not send requests to the URL.
active, disabled The list of event categories that the webhook endpoint will receive. Note that if modified, the webhook endpoint will receive events for new categories only from the current point onwards.
The category of the webhook event
customer, kyc_link, liquidation_address.drain, static_memo.activity, transfer, virtual_account.activity, bridge_wallet.activity, card_account, card_transaction, card_withdrawal, posted_card_account_transaction, external_account, rfi Response
Successful webhook object response
An identifier that uniquely identifies the webhook endpoint
^wep_[a-f0-9]+$The URL that the webhook will send events to
The status of the webhook. Only active webhooks will receive events automatically.
active, disabled, deleted The public key (in PEM format) that should be used to verify the authenticity of webhook events
The list of event categories that the webhook endpoint will receive
The category of the webhook event
customer, kyc_link, liquidation_address.drain, static_memo.activity, transfer, virtual_account.activity, bridge_wallet.activity, card_account, card_transaction, card_withdrawal, posted_card_account_transaction, external_account, rfi Was this page helpful?